org.jbpm.kie.services.impl

## Class CustomIdKModuleDeploymentUnit

- java.lang.Object
- - org.jbpm.kie.services.impl.KModuleDeploymentUnit
  - - org.jbpm.kie.services.impl.CustomIdKModuleDeploymentUnit

- All Implemented Interfaces:
    Serializable, AttributesAware, DeploymentUnit

      public class CustomIdKModuleDeploymentUnit
      extends KModuleDeploymentUnit

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomIdKModuleDeploymentUnit(String id, String groupId, String artifactId, String version)`
    `CustomIdKModuleDeploymentUnit(String id, String groupId, String artifactId, String version, String kbaseName, String ksessionName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdentifier()` Returns the deployment unit identifier.

    - ### Methods inherited from class org.jbpm.kie.services.impl.KModuleDeploymentUnit

      `addAttribute, getArtifactId, getAttributes, getDeploymentDescriptor, getGroupId, getKbaseName, getKieContainer, getKsessionName, getMergeMode, getStrategy, getVersion, isActive, isDeployed, removeAttribute, resetStrategy, setActive, setArtifactId, setDeployed, setDeploymentDescriptor, setGroupId, setKbaseName, setKieContainer, setKsessionName, setMergeMode, setStrategy, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomIdKModuleDeploymentUnit

          public CustomIdKModuleDeploymentUnit(String id,
                                               String groupId,
                                               String artifactId,
                                               String version)

    - #### CustomIdKModuleDeploymentUnit

          public CustomIdKModuleDeploymentUnit(String id,
                                               String groupId,
                                               String artifactId,
                                               String version,
                                               String kbaseName,
                                               String ksessionName)

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Description copied from interface: `DeploymentUnit`
      Returns the deployment unit identifier.
      Specified by:
        `getIdentifier` in interface `DeploymentUnit`
      Overrides:
        `getIdentifier` in class `KModuleDeploymentUnit`
      Returns:
        identifier

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.